package com.yonge.cooleshow.api.feign;

import com.yonge.cooleshow.api.feign.fallback.AdminFeignServiceFallback;
import com.yonge.cooleshow.api.feign.fallback.MallAdminFeignServiceFallback;
import com.yonge.cooleshow.common.constant.AppConstant;
import com.yonge.cooleshow.common.entity.HttpResponseResult;
import com.yonge.toolset.feign.config.FeignConfiguration;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-05-06
 */
@FeignClient(name = AppConstant.APPLICATION_ADMIN_SERVER, configuration = FeignConfiguration.class,
             fallback = AdminFeignServiceFallback.class)
public interface AdminFeignService {


    /**
     * 老师作业布置通知
     */
    @GetMapping("/admin/teacherSend")
    HttpResponseResult<Object> sendTodayNotRepliedAndNotDecorateHomework();

    //老师课酬
    @PostMapping(value = "/teacherEarning")
    HttpResponseResult<Object> sendTeacherEarning();
}
