package com.yonge.cooleshow.biz.dal.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;


public enum MessageTypeEnum implements BaseEnum<String, MessageTypeEnum> {
    SMS_VERIFY_CODE_LOGIN("SMS_VERIFY_CODE_LOGIN", "验证码登录"),
    SMS_VERIFY_CODE_REGISTER("SMS_VERIFY_CODE_REGISTER", "验证码注册"),
    SMS_VERIFY_CODE_UPDATE_PSW("SMS_VERIFY_CODE_UPDATE_PSW", "密码修改"),
    SMS_VERIFY_CODE("SMS_VERIFY_CODE","验证码"),
    KAPTCHA_SESSION_KEY("KAPTCHA_SESSION_KEY", "登录图形验证码"),
    STUDENT_BUY_TEACHER_MUSIC_SHEET("STUDENT_BUY_TEACHER_MUSIC_SHEET","学员购买老师乐谱"),
    MUSIC_SHEET_AUTH_PASS("MUSIC_SHEET_AUTH_PASS","乐谱审核通过"),
    MUSIC_SHEET_AUTH_UNPASS("MUSIC_SHEET_AUTH_UNPASS","乐谱审核失败"),

    VIDEO_SHEET_AUTH_PASS("VIDEO_SHEET_AUTH_PASS","视频课审核通过"),
    VIDEO_SHEET_AUTH_UNPASS("VIDEO_SHEET_AUTH_UNPASS","视频课审核失败"),

    STUDENT_BUY_MUSIC_SHEET_SUCCESS("STUDENT_BUY_MUSIC_SHEET_SUCCESS","学员购买乐谱成功"),
    SMS_STUDENT_BUY_MUSIC_SHEET_SUCCESS("SMS_STUDENT_BUY_MUSIC_SHEET_SUCCESS","学员购买乐谱(短信)"),

    TEACHER_DECORATE_HOMEWORK("TEACHER_DECORATE_HOMEWORK","老师布置作业"),
    TEACHER_REVIEW_HOMEWORK("TEACHER_REVIEW_HOMEWORK","老师点评作业"),
    STUDENT_SUBMIT_HOMEWORK("STUDENT_SUBMIT_HOMEWORK","学员提交作业"),

    TEACHER_AUTH_PASS("TEACHER_AUTH_PASS","老师认证通过"),
    SMS_TEACHER_AUTH_PASS("SMS_TEACHER_AUTH_PASS","老师认证通过(短信)"),

    TEACHER_AUTH_FAIL("TEACHER_AUTH_FAIL","老师认证失败"),
    SMS_TEACHER_AUTH_FAIL("SMS_TEACHER_AUTH_FAIL","老师认证失败(短信)"),

    MUSICIAN_AUTH_PASS("MUSICIAN_AUTH_PASS","音乐人认证通过"),
    SMS_MUSICIAN_AUTH_PASS("SMS_MUSICIAN_AUTH_PASS","音乐人认证通过(短信)"),

    MUSICIAN_AUTH_FAIL("MUSICIAN_AUTH_FAIL","音乐人认证失败"),
    SMS_MUSICIAN_AUTH_FAIL("SMS_MUSICIAN_AUTH_FAIL","音乐人认证失败(短信)"),

    STUDENT_BUY_PRACTICE("STUDENT_BUY_PRACTICE","学员购买陪练课"),
    SMS_STUDENT_BUY_PRACTICE("SMS_STUDENT_BUY_PRACTICE","学员购买陪练课(短信)"),

    STUDENT_BUY_LIVE("STUDENT_BUY_LIVE","学员购买直播课"),
    STUDENT_BUY_VIDEO("STUDENT_BUY_VIDEO","学员购买视频课"),
    LIVE_COMPLETION_SUCCESS("LIVE_COMPLETION_SUCCESS","直播课成课"),
    LIVE_COMPLETION_FAIL("LIVE_COMPLETION_FAIL","直播课成课失败"),
    TOMORROW_COURSE_REMINDER("TOMORROW_COURSE_REMINDER","明日课程提醒（每晚9点）"),
    STUDENT_PRACTICE_REMINDER("STUDENT_PRACTICE_REMINDER","陪练课提醒（陪练课开始前20分钟）"),
    LIVE_REMINDER("LIVE_REMINDER","直播课提醒（直播课开始前20分钟）"),
    COURSE_SETTLEMENT("COURSE_SETTLEMENT","课酬结算（每晚9点）"),
    NOT_EVALUATE_STUDENT_PRACTICE("NOT_EVALUATE_STUDENT_PRACTICE","当日陪练课未评价/布置作业（每晚9点30，已评价/已布置不发）"),
    STUDENT_EVALUATE_TEACHER_PRACTICE("STUDENT_EVALUATE_TEACHER_PRACTICE","学员对老师评价"),
    WITHDRAWAL_SUCCESS("WITHDRAWAL_SUCCESS","提现成功"),
    STUDENT_JOIN_FANSGROUP("STUDENT_JOIN_FANSGROUP","学员申请加入粉丝群"),

    VIP_BUY_SUCCESS("VIP_BUY_SUCCESS","会员购买成功"),
    SMS_VIP_BUY_SUCCESS("SMS_VIP_BUY_SUCCESS","会员购买成功(短信)"),

    VIP_EXPIRE_THIRTY_DAY("VIP_EXPIRE_THIRTY_DAY","会员到期前30天"),
    SMS_VIP_EXPIRE_THIRTY_DAY("SMS_VIP_EXPIRE_THIRTY_DAY","会员到期前30天(短信)"),

    VIP_EXPIRE("VIP_EXPIRE","会员到期"),
    SMS_VIP_EXPIRE("SMS_VIP_EXPIRE","会员到期(短信)"),

    PRACTICE_BUY("PRACTICE_BUY","陪练课购买"),
    SMS_PRACTICE_BUY("SMS_PRACTICE_BUY", "陪练课购买(短信)"),

    LIVE_BUY("LIVE_BUY","直播课购买"),
    SMS_LIVE_BUY("SMS_LIVE_BUY","直播课购买"),


    VIDEO_BUY("VIDEO_BUY","视频课购买"),
    SMS_VIDEO_BUY("SMS_VIDEO_BUY","视频课购买(短信)"),

    PRACTICE_REMIND("PRACTICE_REMIND","陪练课提醒（陪练课开始前20分钟）"),
    LIVE_REMIND("LIVE_REMIND","直播课提醒（直播课开始前20分钟）"),
    NOT_EVALUATE_TEACHER_PRACTICE("NOT_EVALUATE_TEACHER_PRACTICE","当日陪练课未对老师评价（每晚9点，已评价不发）"),
    FANSGROUP_APPLY_SUCCESS("FANSGROUP_APPLY_SUCCESS","粉丝群申请通过"),

    TEACHER_STYLE_VIDEO_SUCCESS("TEACHER_STYLE_VIDEO_SUCCESS","个人风采审核通过"),
    TEACHER_STYLE_VIDEO_FAIL("TEACHER_STYLE_VIDEO_FAIL","个人风采审核失败"),

    //------短信模板------
    SMS_BUY_LIVE("SMS_BUY_LIVE","直播课购买成功"),
    SMS_LIVE_COMPLETION_SUCCESS("SMS_LIVE_COMPLETION_SUCCESS","直播课成课"),
    SMS_LIVE_COMPLETION_FAIL("LIVE_COMPLETION_FAIL","直播课成课失败"),
    SMS_TOMORROW_COURSE_REMINDER("SMS_TOMORROW_COURSE_REMINDER", "明日课程提醒（每晚9点）(短信)");

    MessageTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }


    @EnumValue
    private String code;

    private String msg;


    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }


    public String getCode() {
        return code;
    }

}
