package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.dao.CourseScheduleStudentPaymentDao;
import com.yonge.cooleshow.biz.dal.entity.CourseScheduleStudentPayment;
import com.yonge.cooleshow.biz.dal.enums.OrderStatusEnum;
import com.yonge.cooleshow.biz.dal.vo.LiveCourseInfoVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 课程学生缴费表(CourseScheduleStudentPayment)表服务接口
 *
 * @author hgw
 * @since 2022-03-18 15:29:12
 */
public interface CourseScheduleStudentPaymentService extends IService<CourseScheduleStudentPayment> {

    CourseScheduleStudentPaymentDao getDao();

    /**
     * 根据课程组id查询学员信息
     *
     * @param param 参数
     *              <p> groupId    课程组id
     *              <p> orderState 订单状态
     *              <p> userId     学员id
     */
    List<LiveCourseInfoVo.CourseBuyStudentVo> queryStudentInfoByGroupId(Map<String, Object> param);

    /**
     * 根据陪练课 课程id查看购买记录
     *
     * @param courseId 课程id
     * @return 购买记录
     */
    CourseScheduleStudentPayment getByCourseId(Long courseId);

    /**
     * 查询购买直播课的订单
     *
     * @param courseGroupId 课程组
     * @return
     */
    List<String> getOrderNoByGroupId( Long courseGroupId);
}

