package com.yonge.cooleshow.biz.dal.service;

/**
 * @author: cy
 * @date: 2022/5/18 14:52
 */
public interface LingXinService {
    /**
     * 签署协议
     *
     * @param realName 真实姓名
     * @param idcard   身份证号
     * @param mobileNo 手机号
     * @param serialNo 唯一标识
     * @return
     */
    boolean signContract(String realName, String idcard, String mobileNo, String serialNo);

    /**
     * 查询协议
     *
     * @param serialNo 唯一标识
     * @return
     */
    String querySignContractResult(String serialNo);

    /**
     * 单笔提现
     *
     * @param outerOrderNo  唯一单号
     * @param name          收款方姓名
     * @param mobile        收款方电话
     * @param certificateNo 收款方身份证号
     * @param predictAmount 应发金额（单位为：分，范围： 1~10000000000）
     * @param payAccount    收款方银行卡号
     * @return
     */
    String withdraw(String outerOrderNo, String name, String mobile, String certificateNo, Integer predictAmount, String payAccount);

    /**
     * 查询接口
     *
     * @param outerOrderNo 商户唯一订单号
     * @throws Exception
     */
    String query(String outerOrderNo);
}