package com.yonge.cooleshow.teacher;

import com.spring4all.swagger.EnableSwagger2Doc;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

/**
 * @Author: liweifan
 * @Data: 2022/3/15 15:19
 */
@SpringBootApplication
@EnableDiscoveryClient
@EnableFeignClients("com.yonge.cooleshow")
@MapperScan(basePackages = {"com.yonge.cooleshow.biz.dal.dao", "com.yonge.toolset.payment.core.dao"})
@ComponentScan(basePackages = {
        "com.yonge.cooleshow.teacher", "com.yonge.cooleshow.auth", "com.yonge.cooleshow.biz",
        "com.yonge.cooleshow.common", "com.yonge.cooleshow.common.security",
        "com.yonge.toolset.log", "com.yonge.toolset.thirdparty", "com.yonge.toolset.payment"
})
@Configuration
@EnableSwagger2Doc
public class TeacherApplication {
    public static void main(String[] args) {
        SpringApplication.run(TeacherApplication.class, args);
    }

}
